Class Fox::FXRegistry

In: | FXRegistry.rb
Parent: | FXSettings

The registry maintains a database of persistent settings for an application, or suite of applications.

Methods

asciiMode? new read write

Attributes

appKey | [R] | Application key [String]
asciiMode | [W] | Use file-based registry instead of Windows Registry [Boolean]
vendorKey | [R] | Vendor key [String]

Public Class methods

new(appKey="", vendorKey="")

Construct registry object; appKey and vendorKey must be string constants. Regular applications SHOULD set a vendor key!

Public Instance methods

read()

Read registry.

write()

Write registry.

asciiMode?()

Return `true` if we’re using a file-based registry mechanism instead of the Windows Registry (only relevant on Windows systems).